%define name kreglo
%define	version 1.0
%define release 4mdk
%define kde1dir %{_libdir}/kde1-compat

Name: %{name}
Summary: An onscreen ruler
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Source1: kreglo_menuentry
Source2: COPYING
Source3: %{name}16.xpm.bz2
Source4: %{name}32.xpm.bz2
Source5: %{name}48.xpm.bz2
Group: Toys
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kde1-compat-devel
Requires: qt kdelibs

%description
A little onscreen ruler and magnifier the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kreglo
cp %{SOURCE2} .

%build

export QTDIR=%{_libdir}/qt
export KDEDIR=%{_libdir}/kde1-compat
export CFLAGS="$RPM_OPT_FLAGS" 
export CXXFLAGS="$RPM_OPT_FLAGS"

./configure %{_target_cpu}-mandrake-linux --prefix=%{_prefix} --with-install-root=$RPM_BUILD_ROOT --exec-prefix=%{kde1dir} --disable-rpath --with-extra-includes=%{kde1dir}/include

make KDEDIR=$KDEDIR

%install
rm -rf $RPM_BUILD_ROOT 

make bindir=$RPM_BUILD_ROOT/%{_bindir} kde_bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_htmldir=$RPM_BUILD_ROOT/%{_datadir}/doc/kde1/HTML kde_icondir=$RPM_BUILD_ROOT/%{_datadir}/icons \
kde_locale=$RPM_BUILD_ROOT/%{_datadir}/locale kde_mimedir=$RPM_BUILD_ROOT/%{_datadir}/mimelnk \
kde_minidir=$RPM_BUILD_ROOT/%{_datadir}/icons/mini install

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/%{_menudir}/%{name}

#mdk icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir}}
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,755)
%doc COPYING 
%{_bindir}/*
%{_menudir}/kreglo
%{_liconsdir}/kreglo.xpm
%{_iconsdir}/kreglo.xpm
%{_miconsdir}/kreglo.xpm

%changelog
* Tue Oct 24 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0-4mdk
- fix icons (gg sux)

* Thu Oct 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-3mdk
- remove mini icon which is indeed a 32x32 icon

* Fri Sep 01 2000 Alexis Younes <ayounes@mandrakesoft.com> 1.0-2mdk
- Release

* Wed Aug 23 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-1mdk
- Up to 1.0
- BM + macroszification
- kde1-compat
- add licence

* Wed Mar 29 2000 Francis Galiegue <fg@mandrakesoft.com> 0.1-5mdk
- Don't use prefix
- Don't use autogenerated file list
- Menu entry
- Changed group

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.

* Mon Dec  6 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

